tigase.stats

## Class StatisticsList

- java.lang.Object
- - tigase.stats.StatisticsList

- All Implemented Interfaces:
    Iterable<StatRecord>

      public class StatisticsList
      extends Object
      implements Iterable<StatRecord>

  Created: Jul 10, 2009 3:23:23 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsList(Level level)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(String comp, String description, float value, Level recordLevel)` Method description
    `boolean` | `add(String comp, String description, int value, Level recordLevel)` Method description
    `boolean` | `add(String comp, String description, long value, Level recordLevel)` Method description
    `boolean` | `add(String comp, String description, String value, Level recordLevel)` Method description
    `LinkedHashMap<String,StatRecord>` | `addCompStats(String comp)` Method description
    `boolean` | `checkLevel(Level recordLevel)` Method description
    `boolean` | `checkLevel(Level recordLevel, int value)` Method description
    `boolean` | `checkLevel(Level recordLevel, long value)` Method description
    `int` | `getCompConnections(String comp)` Method description
    `long` | `getCompIq(String comp)` Method description
    `long` | `getCompIqReceived(String comp)` Method description
    `long` | `getCompIqSent(String comp)` Method description
    `long` | `getCompMsg(String comp)` Method description
    `long` | `getCompMsgReceived(String comp)` Method description
    `long` | `getCompMsgSent(String comp)` Method description
    `long` | `getCompPackets(String comp)` Method description
    `long` | `getCompPres(String comp)` Method description
    `long` | `getCompPresReceived(String comp)` Method description
    `long` | `getCompPresSent(String comp)` Method description
    `long` | `getCompReceivedPackets(String comp)` Method description
    `long` | `getCompSentPackets(String comp)` Method description
    `LinkedHashMap<String,StatRecord>` | `getCompStats(String comp)` Method description
    `Object` | `getValue(String dataId)`
    `float` | `getValue(String comp, String description, float def)` Method description
    `int` | `getValue(String comp, String description, int def)` Method description
    `long` | `getValue(String comp, String description, long def)` Method description
    `String` | `getValue(String comp, String description, String def)` Method description
    `Iterator<StatRecord>` | `iterator()` Method description
    `String` | `toString()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsList

          public StatisticsList(Level level)

      Constructs ...
      Parameters:
        `level` -

  - ### Method Detail

    - #### add

          public boolean add(String comp,
                    String description,
                    long value,
                    Level recordLevel)

      Method description
      Parameters:
        `comp` -
        `description` -
        `value` -
        `recordLevel` -
      Returns:

    - #### add

          public boolean add(String comp,
                    String description,
                    int value,
                    Level recordLevel)

      Method description
      Parameters:
        `comp` -
        `description` -
        `value` -
        `recordLevel` -
      Returns:

    - #### add

          public boolean add(String comp,
                    String description,
                    String value,
                    Level recordLevel)

      Method description
      Parameters:
        `comp` -
        `description` -
        `value` -
        `recordLevel` -
      Returns:

    - #### add

          public boolean add(String comp,
                    String description,
                    float value,
                    Level recordLevel)

      Method description
      Parameters:
        `comp` -
        `description` -
        `value` -
        `recordLevel` -
      Returns:

    - #### addCompStats

          public LinkedHashMap<String,StatRecord> addCompStats(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### checkLevel

          public boolean checkLevel(Level recordLevel)

      Method description
      Parameters:
        `recordLevel` -
      Returns:

    - #### checkLevel

          public boolean checkLevel(Level recordLevel,
                           long value)

      Method description
      Parameters:
        `recordLevel` -
        `value` -
      Returns:

    - #### checkLevel

          public boolean checkLevel(Level recordLevel,
                           int value)

      Method description
      Parameters:
        `recordLevel` -
        `value` -
      Returns:

    - #### getCompConnections

          public int getCompConnections(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompIq

          public long getCompIq(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompIqReceived

          public long getCompIqReceived(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompIqSent

          public long getCompIqSent(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompMsg

          public long getCompMsg(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompMsgReceived

          public long getCompMsgReceived(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompMsgSent

          public long getCompMsgSent(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompPackets

          public long getCompPackets(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompPres

          public long getCompPres(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompPresReceived

          public long getCompPresReceived(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompPresSent

          public long getCompPresSent(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompReceivedPackets

          public long getCompReceivedPackets(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompSentPackets

          public long getCompSentPackets(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getCompStats

          public LinkedHashMap<String,StatRecord> getCompStats(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:

    - #### getValue

          public long getValue(String comp,
                      String description,
                      long def)

      Method description
      Parameters:
        `comp` -
        `description` -
        `def` -
      Returns:

    - #### getValue

          public float getValue(String comp,
                       String description,
                       float def)

      Method description
      Parameters:
        `comp` -
        `description` -
        `def` -
      Returns:

    - #### getValue

          public int getValue(String comp,
                     String description,
                     int def)

      Method description
      Parameters:
        `comp` -
        `description` -
        `def` -
      Returns:

    - #### getValue

          public String getValue(String comp,
                        String description,
                        String def)

      Method description
      Parameters:
        `comp` -
        `description` -
        `def` -
      Returns:

    - #### getValue

          public Object getValue(String dataId)

    - #### iterator

          public Iterator<StatRecord> iterator()

      Method description
      Specified by:
        `iterator` in interface `Iterable<StatRecord>`
      Returns:

    - #### toString

          public String toString()

      Method description
      Overrides:
        `toString` in class `Object`
      Returns:

Copyright © 2013 Tigase. All rights reserved.